Component - Add Dashboard

Creates a new dashboards with the specified properties.

POST http://<Servername>/OperationsManager/component/dashboard

Request Body

Media Types: "application/json", "text/json", "application/xml", "text/xml", "application/x-www-form-urlencoded"

Name Required Type Description
name True
  • string

Specify the dashboard or widget name.

componentType
  • string

Specify the type of widget

config
  • string

Specify the configuration.

description
  • string

Specifiy the dashboard or widget description.

id
  • string

Specify the ID of Dashboard/Widget when updating dashboard or widget

mpDescription
  • string

Specify the management pack description.

mpId
  • string

Specify the management pack ID if you would like to utilize an existing unsealed management pack for the operation.

mpName
  • string

Specify the management pack name. If you would like to perform the operation in a new management pack then specify the management pack name.

mpVersion
  • string

Specify the management pack version.

Responses

Name Type Description
200 OK

OK. Successfully created a dashboard

Media Types: "application/json", "text/json", "application/xml", "text/xml"

Definitions

ComponentRequest
ComponentResponse

ComponentRequest

Name Type Description
componentType
  • string

Specify the type of widget

config
  • string

Specify the configuration.

description
  • string

Specifiy the dashboard or widget description.

id
  • string

Specify the ID of Dashboard/Widget when updating dashboard or widget

mpDescription
  • string

Specify the management pack description.

mpId
  • string

Specify the management pack ID if you would like to utilize an existing unsealed management pack for the operation.

mpName
  • string

Specify the management pack name. If you would like to perform the operation in a new management pack then specify the management pack name.

mpVersion
  • string

Specify the management pack version.

name
  • string

Specify the dashboard or widget name.

ComponentResponse

Name Type Description
componentType
  • string

Type of the component.

config
  • string

Configuration of the dashbaord.

description
  • string

Description of the dashboard or widget.

id
  • string

Dashboard or widget ID.

mpId
  • string

ID of the management pack where dashbaord or widget is saved.

name
  • string

Name of the dashbaord or widget.